'use strict'
/**
 * 订单流程表
 */
module.exports = function (db, DataTypes) {
	return db.define('oprocess', {
    name: {type: DataTypes.STRING, field: 'name', allowNull: false, defaultValue:'', comment:'流程名称' },
		status: { type: DataTypes.STRING, field: 'status', allowNull: false,defaultValue:'', comment:'流程状态'},
		product_id: { type: DataTypes.STRING, field: 'product_id', allowNull: false,defaultValue:'', comment:'所属产品ID'}
	},
	{
		underscored: true,
    paranoid: true,
    version: true,
		tableName: 'o_process',
		comment: '订单交付表',
	});
}

